#include "integer.h"
#include "rtc.c"

typedef struct {
	WORD	year;
	BYTE	month;
	BYTE	mday;
	BYTE	hour;
	BYTE	min;
	BYTE	sec;
} RTC;

BOOL rtc_init (void);						/* Initialize RTC */
BOOL rtc_gettime (RTC*);					/* Get time */
BOOL rtc_settime (const RTC*);				/* Set time */
BOOL rtc_write (UINT, UINT, const void*);	/* Write RTC regs */
BOOL rtc_read (UINT, UINT, void*);			/* Read RTC regs */

